#import <objc/objc.h>
#import "iUI8.h"

@implementation B4IVisualEffectView
#define OBJ ((UIVisualEffectView *) self.object)
+ (Class)getClass {
    return [UIVisualEffectView class];
}
- (void)DesignerCreateView:(B4IPanelWrapper *)base :(B4ILabelWrapper *)lw :(B4IMap *)props {
    NSDictionary *style = @{@"Light": @(UIBlurEffectStyleLight), @"ExtraLight": @(UIBlurEffectStyleExtraLight),
        @"Dark": @(UIBlurEffectStyleDark)};
    int effect = [style[[props Get:@"style"]] intValue];
    self.object = [[UIVisualEffectView alloc] initWithEffect:[UIBlurEffect effectWithStyle:(UIBlurEffectStyle) effect]];
    [base AddView:OBJ :0 :0 :base.Width :base.Height];
}

- (void)_initialize:(B4I *)bi2 :(NSObject *)target :(NSString *)EventName {
}

- (void)base_resize:(CGFloat)width :(CGFloat)height {
    [OBJ SetLayoutAnimated:0 :1 :0 :0 :width :height];
}
- (B4IViewWrapper *)BaseView {
    B4IWeakRef *ref = [B4IObjectWrapper getMap:OBJ][@"base"];
    return [B4IObjectWrapper createWrapper:[B4IPanelWrapper new] object:ref.Value];
}
@end